I'm trying to connect to my RAC database using odbc drivers. While trying I get

ORA-28040: No matching authentication protocol

I have added this in both client and the server:

SQLNET.ALLOWED_LOGON_VERSION=8 

I have also tried by replacing the above mentioned deprecated parameter with the server and client. I still get the same error.

More details:

  • Database version 12c
  • Client version 12c

Answer originally left as a comment by the question author:

It worked after adding the new 12c parameters instead of using the deprecated parameters in sqlnet.ora.

This may be Oracle client/server version compatibility issue.

From java.sql.SQLException: ORA-28040: No matching authentication protocol

This happens because you are using a non compatible version of JDBC driver.

To resolve this issue, make sure that you are using the latest version of Oracle JDBC driver, if not use JDBC 12c or higher versions.

Compatibility Matrix

I was facing the same issue. The problem was that I was trying to connect using SQL Developer 11g but my database was Oracle 12c. The issue disappeared by using the right Oracle SQL Developer version.

Your Answer

 
discard

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.